
# lean renderer
backend = "xrender";

# vsync optimizations
unredir-if-possible = true;

# shadow optimizations
shadow = true;
dock = { shadow = false; };
dnd = { shadow = false; };
shadow-ignore-shaped = false;
shadow-radius = 4;
shadow-offset-x = -5;
shadow-offset-y = -3;
shadow-opacity = 0.5;
shadow-exclude-reg = "x28+0-0"; # block shadows from overlapping the taskbar at the bottom of the screen
shadow-exclude = [
	"! name~=''",
	"name = 'Notification'",
	"name *= 'picom'",
	"name *= 'mpv'",
	"class_g = 'conky'"
];

# menu optimizations
popup_menu = { opacity = 1; };
dropdown_menu = { opacity = 1; };
inactive-opacity = 1;
active-opacity = 1;
frame-opacity = 1;
inactive-opacity-override = false;

# avoid blur
blur-background-fixed = false;
blur-background-exclude = [
	"window_type = 'dock'",
	"window_type = 'desktop'"
];

# fading disabled for responsive desktop
fading = false;

# window manager optimizations
mark-wmwin-focused = true;
mark-overdir-focused = true;
use-ewmh-active-win = true;

# window detection optimizations
detect-rounded-corners = true;
detect-transient = true;
detect-client-opacity = true;
detect-client-leader = true;

# other behaviors
wintypes = {
    tooltip = {
        fade = true;
        shadow = false;
        focus = true;
    }
};

